﻿using System.ComponentModel.DataAnnotations;

namespace DamageAssesment.Api.Responses.Models
{
    public class Attachment
    {
        public int Id { get; set; }

        public string URI { get; set; }
        public int ResponseId { get; set; }

        public int? AnswerId { get; set; }
        public bool IsDeleted { get; set; }
        public string FileName { get; set; }

        public Attachment(int answerId, string uri)
        {
            this.AnswerId = answerId;
            this.URI = uri;
        }
    }
}
