﻿using System.ComponentModel.DataAnnotations;

namespace DamageAssesment.Api.Responses.Models
{
    public enum SurveyStatus
    {
        PENDING,
        ACTIVE,
        INACTIVE
    }
    public class Survey
    {
        public int Id { get; set; }
        public bool IsEnabled { get; set; }
        public DateTime? StartDate { get; set; }
        public DateTime? EndDate { get; set; }
        public DateTime CreatedDate { get; set; }
        public string Status { get; set; }
        public Dictionary<string, string> Titles { get; set; }
    }
}
